Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class UnitChannel

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.rdl.UnitChannel

All Implemented Interfaces:
  Expression, Field

    public class UnitChannel

extends Field_Named

Represents a channel declared inside of a hierarchical unit. Abstracts all the details of the connections and dynamic identifiers.

Version:
  $Revision: 1.19 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Channel` | `channel` The complete channel including all of the end-to-end connectivity, as well as the channel model and message type.
`protected ChannelModel` | `channelModel` The model for this unit channel.
`protected UnitPort` | `destination` The destination port.
`protected RawDynamicIdentifier` | `rawDestinationID` The raw dynamic identifier of the destination connection.
`protected RawDynamicIdentifier` | `rawSourceID` The raw dynamic identifier of the source connection.
`protected UnitPort` | `source` The source port.

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`UnitChannel(ChannelModel _channelModel, RawDynamicIdentifier _rawSourceID, RawDynamicIdentifier _rawDestinationID)` Full constructor, used during parsing to record the model for this channel and the ports it connects.
`UnitChannel(java.lang.String _name, Instance _instance, UnitChannel _unitChannel)` Copy constructor.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`Channel` | `getChannel(Log errorLog)` Simple accessor.
`ChannelModel` | `getChannelModel()` Simple accessor.
`UnitPort` | `getDestination()` Simple accessor.
`void` | `getRequirements(CatalogSet<Identifier<Declaration>> requirements)` A channel will require it's model.
`UnitPort` | `getSource()` Simple accessor.
`void` | `resolve(java.util.HashSet<Declaration> markSet, Log errorLog, Expression.Phase phase)` Resolves the source and destination port identifiers, if necessary.
`void` | `setChannel(Channel _channel, Log errorLog)` Sets the complete channel which includes this channel.
`void` | `setDestination(UnitPort _destination, Log errorLog)` Sets the destination port of this channel directly.
`void` | `setNamespace(Namespace _namespace)` Extends the default setNamespace to set the namespace of the channel model.
`void` | `setSource(UnitPort _source, Log errorLog)` Sets the source port of this channel directly.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, setInstance, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rawSourceID

    protected RawDynamicIdentifier rawSourceID

  The raw dynamic identifier of the source connection.

### rawDestinationID

    protected RawDynamicIdentifier rawDestinationID

  The raw dynamic identifier of the destination connection.

### source

    protected UnitPort source

  The source port.

### destination

    protected UnitPort destination

  The destination port.

### channelModel

    protected ChannelModel channelModel

  The model for this unit channel. May be null for most unit channels.

### channel

    protected Channel channel

  The complete channel including all of the end-to-end connectivity, as well as the channel model and message type.

Constructor Detail

### UnitChannel

    public UnitChannel(ChannelModel _channelModel,
                       RawDynamicIdentifier _rawSourceID,
                       RawDynamicIdentifier _rawDestinationID)

  Full constructor, used during parsing to record the model for this channel and the ports it connects.

  Parameters:
    `_channelModel` - The channel model to be used. May be null.
    `_rawSourceID` - The dynamic identifier which names the source port. May be null.
    `_rawDestinationID` - The dynamic identifier which names the destination port. May be null.

### UnitChannel

    public UnitChannel(java.lang.String _name,
                       Instance _instance,
                       UnitChannel _unitChannel)

  Copy constructor. Simply copies those fields which the normal constructor sets.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance this copy will be a member of.
    `_unitChannel` - The channel model to copy from.

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Field_Named`
  Returns:
    A human readable representation of this map for debugging.

### setNamespace

    public void setNamespace(Namespace _namespace)

  Extends the default setNamespace to set the namespace of the channel model.

  Specified by:
    `setNamespace` in interface `Expression`
  Overrides:
    `setNamespace` in class `Field_Named`
  Parameters:
    `_namespace` - The namespace in which this field was declared.
  See Also:
    `Field_Named.setNamespace(Namespace)`

### resolve

    public void resolve(java.util.HashSet<Declaration> markSet,
                        Log errorLog,
                        Expression.Phase phase)

  Resolves the source and destination port identifiers, if necessary. Also informs the source and destination that they are connected to this unit channel.

  Specified by:
    `resolve` in interface `Expression`
  Overrides:
    `resolve` in class `Field_Named`
  Parameters:
    `markSet` - Complete hash set of declarations on which the caller depends (including itself).
    `errorLog` - Log of errors to be reported to the user.
    `phase` - The phase of resolution to perform.
  See Also:
    `Expression.resolve(HashSet, Log, Phase)`, `Expression.resolve(HashSet, Log, Phase)`

### setSource

    public void setSource(UnitPort _source,
                          Log errorLog)

  Sets the source port of this channel directly. Used when parsing in positional or named port connections (as opposed to external).

  Parameters:
    `_source` - The unit port to set as the source.
    `errorLog` - A list of all the errors to be reported.
  See Also:
    `Expression.resolve(HashSet, Log, Phase)`

### setDestination

    public void setDestination(UnitPort _destination,
                               Log errorLog)

  Sets the destination port of this channel directly. Used when parsing in positional or named port connections (as opposed to external).

  Parameters:
    `_destination` - The unit port to set as the destination.
    `errorLog` - A list of all the errors to be reported.
  See Also:
    `Expression.resolve(HashSet, Log, Phase)`

### setChannel

    public void setChannel(Channel _channel,
                           Log errorLog)

  Sets the complete channel which includes this channel. This is used during complete `Channel` building to back annotate the complete channel.

  Parameters:
    `_channel` - The channel to store.
    `errorLog` - A list of all the errors to be reported.

### getSource

    public UnitPort getSource()

  Simple accessor.

  Returns:
    The soure port of this channel.

### getDestination

    public UnitPort getDestination()

  Simple accessor.

  Returns:
    The destination port of this channel.

### getChannelModel

    public ChannelModel getChannelModel()

  Simple accessor.

  Returns:
    The model to use for this channel.

### getChannel

    public Channel getChannel(Log errorLog)

  Simple accessor.

  Returns:
    The `Channel` representing the complete end-to-end channel this is a part of.

### getRequirements

    public void getRequirements(CatalogSet<Identifier<Declaration>> requirements)

  A channel will require it's model.

  Specified by:
    `getRequirements` in interface `Expression`
  Overrides:
    `getRequirements` in class `Field_Named`
  Parameters:
    `requirements` - A list to which this will add the declarations upon which this one relies.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD